Home>Support>PHP Version 7.1 or 7.2?

PHP Version 7.1 or 7.2?

By billy, 3 months ago. Last reply by Andrew Misplon, 2 months ago.

Hello everyone, according to my hosting company, siteorigin-panels cause a problem/error with new PHP versions. PHP versions 5.6 and 7.0 are only supported until December 2018. All plugins have to be updated to new versions 7.1 or 7.2 until then. Is it true that siteorigin is not yet updated? Can anyone help? Thanks a lot!

This is a free community support forum. Replies are not guaranteed. If you need professional email support, please purchase a SiteOrigin Premium license.

  1. 3 months, 7 days ago Andrew Misplon Hi, I Work Here

    Hi Billy :)

    I’m not sure where that info is from. If you have a link or any source, please let us know. You’re welcome to upgrade to PHP 7.2. I’m running 7.2.1. in localhost at the moment, no problems with any SiteOrigin plugins or themes.

  2. 3 months, 7 days ago billy

    Hi Andrew, thank you for your answer. This is what my hosting company sent me. Saying for version 7.2 there should be an array instead of a string???
    function add_css($selector, $attributes, $resolution = 1920) {
    $attribute_string = ''; <-(hier liegt wohl das Problem müsste ein Array anstatt string sein)
    foreach( $attributes as $k => $v ) {
    $attribute_string[] = $k.':'.$v;
    }
    $attribute_string = implode(';', $attribute_string);

    Sorry but I can't really analyse this. How about you?

    Andrew Misplon <
    [email protected]eorigin.com>
    schrieb am Di., 4. Sep. 2018, 11:02:

  3. 3 months, 6 days ago Alex S Hi, I Work Here

    Hi Billy,

    Please disregard my previous comment.

    Based on the provided PHP, we strongly suspect you’re using an older version of SiteOrigin Page Builder. To clarify, the code currently looks like this. Please ensure you’re using the latest version of SiteOrigin Page Builder which is currently 2.8.2. If you are using that version, can you please send me the full plugin name of the installed version of SiteOrigin Page Builder – this can be found by navigating to WP AdminPluginsInstalled?

  4. 3 months, 6 days ago billy

    Hi Alex, thank you for your comments. According WP I run the following siteorigin Plugins:

    Page Builder for Bramble
    Version 10.2.4.5

    SiteOrigin Widgets Bundle for Create
    Version 10.1.4.4

    Could it be an issue in combination with the Bramble Theme?
    Thank you for your help.

  5. 3 months, 6 days ago Alex S Hi, I Work Here

    Hi Billy,

    The version of SiteOrigin Page Builder you’re using is a fork (a version based on our code but not developed by us) based on a really old version of SiteOrigin Page Builder. I would reach out to the developers of Bramble about this issue – specifically about upgrading their fork.

    The version of SiteOrigin Widgets Bundle is also a fork and also based on a really old version of SiteOrigin Widgets Bundle.

  6. 3 months, 2 hours ago billy

    Thanks Alex! I contacted siteorigin and updated the theme plugins. The site is working with PHP 7.2 now:)
    Thank you for your help & kr, Billy

    Alex S

  7. 2 months, 29 days ago Andrew Misplon Hi, I Work Here

    Super, glad to hear you’ve made progress :) All the best.

Replies on this thread are closed. Please create a new thread if you have a question, or purchase a SiteOrigin Premium license if you need one-on-one email support.

Get The Most Out of SiteOrigin with SiteOrigin Premium

Find Out More